<template>
  <div class="modal fade" :id="modalId" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <form class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">{{ modalTitle }}</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <ul class="form_list">
            <li v-for="input in inputsList" :key="input.name">
              <select v-if="input.type == 'select'" :name="input.name" :class="input.style_class">
                <option value="" disabled selected style="display:none;">{{ input.placeholder }}</option>
                <option value="" v-for="option in input.options" :key="option">
                  {{ option }}
                </option>
              </select>
              <input v-if="input.type != 'select'" :type="input.type" :name="input.name" :class="input.style_class" :placeholder="input.placeholder">
            </li>
          </ul>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Отмена</button>
          <ul class="buttons_list">
            <li v-for="button in buttonsList" :key="button" class="button_item">
              <button :type="button.type" :action="button.event" class="btn btn-primary">{{ button.title }}</button>
            </li>
          </ul>
        </div>
      </form>
    </div>
  </div>   
</template>

<script>
export default {
  name: 'DialogWindow',
  props: {
    inputsList: Array,
    buttonsList: Array,
    modalId: String,
    modalTitle: String,
  }
}
</script>

<style scoped>
.form_list {
  list-style-type: none;
  padding: 0;
}

.input {
  font-size: 20px;
  border: 2px solid rgb(228, 225, 247);
  border-radius: 4px;
  padding: 4px 4px 4px 4px;
  margin-top: 5px;
  height: 45px;
  width: 100%;
}

.buttons_list {
  list-style: none;
  padding: 0;
  display: flex;
}

.button_item {
  margin-right: 10px;
}
</style>
